> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/site-settings/clients.md).

# Clients

## Get

> Retrieve the client settings

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/ClientSettings":{"get":{"tags":["2-Site settings//Clients"],"summary":"Get","description":"Retrieve the client settings","operationId":"900140d5-61c8-4a6c-aeec-58b1674b6dd3","parameters":[{"name":"siteId","in":"query","description":"Site ID from which to retrieve the Client settings (optional).","schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/RASClientSettings"}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"RASClientSettings":{"type":"object","properties":{"excludeDirectRDP":{"type":"string","description":"<para type=\"description\">Exclude Direct RDP Connections for terminal servers.</para>","nullable":true},"excludeDirectRDPForVDI":{"type":"string","description":"<para type=\"description\">Exclude Direct RDP Connections for VDI.</para>","nullable":true},"sendHDIcons":{"type":"boolean","description":"<para type=\"description\">Enable or disable Sending HD Icons.</para>"},"replicateSendHDIcons":{"type":"boolean","description":"<para type=\"description\">Enable replicate Sending HD Icons.</para>"},"enableOverlayIcons":{"type":"boolean","description":"<para type=\"description\">Enable or disable Overlay Icons (deprecated).</para>"},"overlayIcon":{"$ref":"#/components/schemas/OverlayIconType"},"showPasswordExpiry":{"type":"boolean","description":"<para type=\"description\">Show or hide Password Expiry reminder.</para>"},"forceSessionsReset":{"type":"boolean","description":"<para type=\"description\">Enable or disable Force sessions reset when client performs a logoff.</para>"},"tokenValidationExpireMin":{"type":"integer","description":"<para type=\"description\">Token Validation Time.</para>\r\n<para type=\"description\">The time for a validation token to expire in minutes.</para>","format":"int32"}},"additionalProperties":false,"description":"<para type=\"synopsis\">RAS Client Settings</para>\r\n<para type=\"description\"></para>"},"OverlayIconType":{"enum":[["0 = None","1 = ParallelsRemoteApplication","2 = MicrosoftRemoteApp","3 = Custom"]],"type":"string","description":"<para type=\"synopsis\">Overlay Icon Type.</para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Update

> Modify Client Settings. For each setting, the request has a corresponding parameter. To modify a setting, specify a matching parameter and its value.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/ClientSettings":{"put":{"tags":["2-Site settings//Clients"],"summary":"Update","description":"Modify Client Settings. For each setting, the request has a corresponding parameter. To modify a setting, specify a matching parameter and its value.","operationId":"0a1611d7-6bbf-487c-98fd-8ea7729b95e8","parameters":[{"name":"siteId","in":"query","description":"The Site ID for which to modify the Client settings (optional).","schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"Client Settings","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/SetClientSettings"}}}},"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"SetClientSettings":{"type":"object","properties":{"sendHDIcons":{"type":"boolean","description":"<para type=\"description\">Enable or disable Sending HD Icons.</para>","nullable":true},"replicateSendHDIcons":{"type":"boolean","description":"<para type=\"description\">Enable or disable replicate Sending HD Icons.</para>","nullable":true},"overlayIcon":{"$ref":"#/components/schemas/OverlayIconType"},"showPasswordExpiry":{"type":"boolean","description":"<para type=\"description\">Show or hide Password Expiry reminder.</para>","nullable":true},"forceSessionsReset":{"type":"boolean","description":"<para type=\"description\">Enable or disable Force sessions reset when client performs a logoff.</para>","nullable":true},"tokenValidationExpireMin":{"type":"integer","description":"<para type=\"description\">Token Validation Time.</para>\r\n<para type=\"description\">The time for a validation token to expire in minutes.</para>","format":"int32","nullable":true}},"additionalProperties":false},"OverlayIconType":{"enum":[["0 = None","1 = ParallelsRemoteApplication","2 = MicrosoftRemoteApp","3 = Custom"]],"type":"string","description":"<para type=\"synopsis\">Overlay Icon Type.</para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/site-settings/clients.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
